#ifndef CECONF_H
#define CECONF_H

#include <winbase.h>

#define NO_SIGNAL
#define O_RDONLY 0
#define O_WRONLY 1
#define O_RDWR   2
#define S_IWRITE	(O_RDWR)
#define O_CREAT 0x200
#define O_TRUNC 0x400
#define O_EXCL	0x800
#define MAX_OPENFILES	100

#define FCMASK 0660

extern int	open( const char * filename, int oflag, int pmode );
extern int	close( int handle );
extern char * strrchr( const char * string, int c );
extern int	rename( const char * oldname, const char * newname );
extern int	unlink( const char * pathname );
extern int read( int handle, void *buffer, unsigned int count );
extern size_t write(int fd, const void *buf, size_t count);
extern long lseek( int handle, long offset, int origin );
extern void regularize( char * s );	/* normalize file name */
extern int	isspace( int c );
extern time_t	time( time_t *timer );
extern struct tm * localtime( const time_t *timer );

extern char * envp;

#define index	strchr
#define	rindex	strrchr
#define getuid()	1
#define creat(x,y)	open( x, O_CREAT|O_WRONLY|O_TRUNC, y )
#define Delay(x)	Sleep(x)

#define errno	(0)

struct tm
{
      int     tm_sec;         /* seconds */
      int     tm_min;         /* minutes */
      int     tm_hour;        /* hours */
      int     tm_mday;        /* day of the month */
      int     tm_mon;         /* month */
      int     tm_year;        /* year */
      int     tm_wday;        /* day of the week */
      int     tm_yday;        /* day in the year */
      int     tm_isdst;       /* daylight saving time */
};

#ifndef genericptr
#  define genericptr	void *
typedef void *	genericptr_t;
#endif

#endif /* CECONF_H */
